


/******************************************************************************/
/* Screen  Defines                                                            */
/******************************************************************************/
#define ESC 			0x1B		//Define the escape key
#define BELL			0x07		//Ctrl + G, bell
#define BACKSPACE		0x08		//Ctrl + H, backspace
#define FORM_FEED		0x0C		//Ctrl + C, Form Feed
#define ENTER_KEY		0x0D		//Ctrl + M, cairrage return
#define RESET_ATTRIBUTES 	0		//characters
#define FORE_BLACK 		30			//forefround Colours
#define FORE_RED 		31
#define FORE_GREEN		32
#define FORE_YELLOW 	33
#define FORE_BLUE 		34
#define FORE_MAGENTA    35
#define FORE_CYAN		36
#define FORE_WHITE		37
#define FORE_DEFAULT	39
#define BACK_BLACK 		40			//Background Colours
#define BACK_RED 		41
#define BACK_GREEN		42
#define BACK_YELLOW 	43
#define BACK_BLUE 		44
#define BACK_MAGENTA    45
#define BACK_CYAN		46
#define BACK_WHITE		47
#define BACK_DEFAULT	49

//****************************************************************************
// Sceen functions
void Screen_goto(int,int);
void Display_attributes(int colour);
void Screen_clear(void);
void Screen_clear_down(void);
void Screen_clear_line(void);
void chr_send( char c);


//****************************************************************************
//****************************************************************************
// Function:    ScreenGoto
// Description: This routine moves the Cursor to specified location on
//				an 80 by 24 screen
//****************************************************************************
void Screen_goto(int row,int column)
{
	printf("%c[%u;%uH", ESC, row,column);	//Set Cursor Position

}

//****************************************************************************
// Function:    Display_attributes
// Description: This routine changes the fore/background color on the terminal
// Timing:      N/A
//****************************************************************************
void Display_attributes(int colour)
{
	printf("%c[%um", ESC, colour);		//Reset Cursor Position
}


//****************************************************************************
// Function:    Clear Screen
// Description: This routine clears the  Screen
// Timing:      N/A
//****************************************************************************
void Screen_clear()
{
	printf("%c[2J", ESC);					//Clear Screen
}

//****************************************************************************
// Function:    Clear Screen below Cursor
// Description: This routine clears the  Screen below the cursor
// Timing:      N/A
//****************************************************************************

void Screen_clear_down()
{
	printf("%c[J",ESC);						//Clear Screen below cursor
}

/******************************************************************************
* Function:     Screen_clear_line
* Description: 	This rountine clears the line the cursor is on.
*******************************************************************************/

void Screen_clear_line()
{
	printf("%c[2K", ESC);						//Clear line of  cursor
}



//***************************************************************
// char send to wait for  sent character completion
// use format = printf(chr_send,"text %c more text",variable);
//***************************************************************
void chr_send( char c)
{
	putc(c);

}